Bug 1119799 - (CVE-2018-18249) VUL-1: CVE-2018-18249: icingaweb2: injection of PHP ini-file directives involves environment variables as channel to send out information
(CVE-2018-18249)
VUL-1: CVE-2018-18249: icingaweb2: injection of PHP ini-file directives invol...
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 42.3
Other Other
: P4 - Low : Minor (vote)
: ---
Assigned To: Eric Schirra
Security Team bot
https://smash.suse.de/issue/221290/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-18 09:32 UTC by Alexandros Toptsoglou
Modified: 2020-01-16 20:12 UTC (History)
0 users

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2018-12-18 09:32:59 UTC
CVE-2018-18249

Icinga Web 2 before 2.6.2 allows injection of PHP ini-file directives via
vectors involving environment variables as the channel to send information
to the attacker, such as a
name=${PATH}_${APACHE_RUN_DIR}_${APACHE_RUN_USER} parameter to
/icingaweb2/navigation/add or /icingaweb2/dashboard/new-dashlet.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-18249
http://people.canonical.com/~ubuntu-security/cve/2018/CVE-2018-18249.html
Comment 1 Swamp Workflow Management 2018-12-18 11:43:59 UTC
This is an autogenerated message for OBS integration:
This bug (1119799) was mentioned in
https://build.opensuse.org/request/show/659064 15.0+Backports:SLE-12+Backports:SLE-15 / icingaweb2
https://build.opensuse.org/request/show/659065 Factory / icingaweb2
Comment 2 Swamp Workflow Management 2019-06-19 07:00:20 UTC
This is an autogenerated message for OBS integration:
This bug (1119799) was mentioned in
https://build.opensuse.org/request/show/710822 15.0+Backports:SLE-12+Backports:SLE-15 / icingaweb2
Comment 3 Swamp Workflow Management 2019-06-19 09:40:17 UTC
This is an autogenerated message for OBS integration:
This bug (1119799) was mentioned in
https://build.opensuse.org/request/show/710847 15.0+15.1+Backports:SLE-12+Backports:SLE-15 / icingaweb2
Comment 4 Tomáš Chvátal 2019-07-11 11:37:19 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 5 Swamp Workflow Management 2019-11-04 17:30:18 UTC
This is an autogenerated message for OBS integration:
This bug (1119799) was mentioned in
https://build.opensuse.org/request/show/745230 15.0+15.1+Backports:SLE-12+Backports:SLE-15+Backports:SLE-15-SP1 / icingaweb2
Comment 6 Swamp Workflow Management 2020-01-16 20:11:07 UTC
openSUSE-SU-2020:0067-1: An update that solves 5 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1101357,1119784,1119785,1119799,1119800,1119801
CVE References: CVE-2018-18246,CVE-2018-18247,CVE-2018-18248,CVE-2018-18249,CVE-2018-18250
Sources used:
openSUSE Leap 15.1 (src):    icingaweb2-2.7.3-lp151.6.5.1
openSUSE Leap 15.0 (src):    icingaweb2-2.7.3-lp150.4.7.1
openSUSE Backports SLE-15-SP1 (src):    icingaweb2-2.7.3-bp151.5.3.1
openSUSE Backports SLE-15 (src):    icingaweb2-2.7.3-bp150.2.7.1
Comment 7 Swamp Workflow Management 2020-01-16 20:12:24 UTC
openSUSE-SU-2020:0067-1: An update that solves 5 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1101357,1119784,1119785,1119799,1119800,1119801
CVE References: CVE-2018-18246,CVE-2018-18247,CVE-2018-18248,CVE-2018-18249,CVE-2018-18250
Sources used:
openSUSE Leap 15.1 (src):    icingaweb2-2.7.3-lp151.6.5.1
openSUSE Leap 15.0 (src):    icingaweb2-2.7.3-lp150.4.7.1
openSUSE Backports SLE-15-SP1 (src):    icingaweb2-2.7.3-bp151.5.3.1
openSUSE Backports SLE-15 (src):    icingaweb2-2.7.3-bp150.2.7.1
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    icingaweb2-2.7.3-9.1